#Close order
#Request path
/api/v2/payment/merchant/close#Request parameters
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | Yes | The unique Order Number of the merchant refund form, which can be used to query the refund results. |
| orderNo | String | 32 | Yes | PalmPay the order number of the platform. If there is no orderNo, you can use orderId |
| remark | String | 200 | No | Remarks information |
#Returned value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderNo | String | 32 | Yes | The order number on the PalmPay platform |
| orderId | String | 32 | Yes | The unique merchant order number, which can be used to query the transaction result |
| orderStatus | Integer | 20 | Yes | The order status (See Order Status) |
#Error Code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/close' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime": 1662171389940,
"version": "V1.1",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"orderId":"testc9ffae997fc1",
"remark":"close order"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderNo": "2424220903032435363613",
"orderId": "testc9ffae997fc1",
"orderStatus": 4
}
}